public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] gentoo-x86 commit in x11-wm/sawfish: ChangeLog sawfish-1.5.3.ebuild
@ 2009-11-25 20:58 Harald van Dijk (truedfx)
  0 siblings, 0 replies; 2+ messages in thread
From: Harald van Dijk (truedfx) @ 2009-11-25 20:58 UTC (permalink / raw
  To: gentoo-commits

truedfx     09/11/25 20:58:35

  Modified:             ChangeLog
  Added:                sawfish-1.5.3.ebuild
  Log:
  Version bumps
  (Portage version: 2.2_rc51/cvs/Linux x86_64)

Revision  Changes    Path
1.91                 x11-wm/sawfish/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/x11-wm/sawfish/ChangeLog?rev=1.91&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/x11-wm/sawfish/ChangeLog?rev=1.91&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/x11-wm/sawfish/ChangeLog?r1=1.90&r2=1.91

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/x11-wm/sawfish/ChangeLog,v
retrieving revision 1.90
retrieving revision 1.91
diff -u -r1.90 -r1.91
--- ChangeLog	8 Mar 2009 20:06:33 -0000	1.90
+++ ChangeLog	25 Nov 2009 20:58:35 -0000	1.91
@@ -1,6 +1,11 @@
 # ChangeLog for x11-wm/sawfish
-# Copyright 2002-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-wm/sawfish/ChangeLog,v 1.90 2009/03/08 20:06:33 truedfx Exp $
+# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/x11-wm/sawfish/ChangeLog,v 1.91 2009/11/25 20:58:35 truedfx Exp $
+
+*sawfish-1.5.3 (25 Nov 2009)
+
+  25 Nov 2009; Harald van Dijk <truedfx@gentoo.org> +sawfish-1.5.3.ebuild:
+  Version bump
 
 *sawfish-1.3.5.2 (08 Mar 2009)
 



1.1                  x11-wm/sawfish/sawfish-1.5.3.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/x11-wm/sawfish/sawfish-1.5.3.ebuild?rev=1.1&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/x11-wm/sawfish/sawfish-1.5.3.ebuild?rev=1.1&content-type=text/plain

Index: sawfish-1.5.3.ebuild
===================================================================
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/x11-wm/sawfish/sawfish-1.5.3.ebuild,v 1.1 2009/11/25 20:58:35 truedfx Exp $

# detect cvs snapshots; fex. 1.3_p20040120
[[ $PV == *_p[0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9] ]]
(( snapshot = !$? ))

if (( snapshot )); then
	inherit eutils autotools
else
	inherit eutils
fi

DESCRIPTION="Extensible window manager using a Lisp-based scripting language"
HOMEPAGE="http://sawmill.sourceforge.net/"
if (( snapshot )); then
	SRC_URI="mirror://gentoo/${P/_p/.}.tar.bz2"
else
	SRC_URI="mirror://sourceforge/sawmill/${P}.tar.bz2"
fi

LICENSE="GPL-2 Artistic-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
IUSE="audiofile esd nls"

RDEPEND=">=dev-libs/librep-0.90.0
	>=x11-libs/rep-gtk-0.90.0
	>=x11-libs/pango-1.8.0
	>=x11-libs/gtk+-2.6.0
	audiofile? ( >=media-libs/audiofile-0.2.3 )
	esd? ( >=media-sound/esound-0.2.23 )
	nls? ( sys-devel/gettext )"
DEPEND="${RDEPEND}
	>=dev-util/pkgconfig-0.12.0"

if (( snapshot )); then
	S="${WORKDIR}/${PN}"
fi

src_unpack() {
	unpack ${A}
	cd "${S}"

	if (( snapshot )); then
		eautoreconf
	fi
}

src_compile() {
	set -- \
		--with-gdk-pixbuf \
		$(use_with audiofile) \
		$(use_with esd)

	if ! use nls; then
		# Use a space because configure script reads --enable-linguas="" as
		# "install everything"
		# Don't use --disable-linguas, because that means --enable-linguas="no",
		# which means "install Norwegian translations"
		set -- "$@" --enable-linguas=" "
	elif [[ "${LINGUAS+set}" == "set" ]]; then
		strip-linguas -i po
		set -- "$@" --enable-linguas=" ${LINGUAS} "
	else
		set -- "$@" --enable-linguas=""
	fi

	econf "$@" || die "configure failed"
	emake || die "make failed"
}

src_install() {
	emake DESTDIR="${D}" install || die "make install failed"
	dodoc AUTHORS ChangeLog DOC FAQ NEWS OPTIONS README README.IMPORTANT TODO
}






^ permalink raw reply	[flat|nested] 2+ messages in thread

* [gentoo-commits] gentoo-x86 commit in x11-wm/sawfish: ChangeLog sawfish-1.5.3.ebuild
@ 2010-03-24 18:25 Harald van Dijk (truedfx)
  0 siblings, 0 replies; 2+ messages in thread
From: Harald van Dijk (truedfx) @ 2010-03-24 18:25 UTC (permalink / raw
  To: gentoo-commits

truedfx     10/03/24 18:25:54

  Modified:             ChangeLog sawfish-1.5.3.ebuild
  Log:
  Add libXinerama to (R)DEPEND, bug #311131
  (Portage version: 2.2_rc67/cvs/Linux x86_64)

Revision  Changes    Path
1.92                 x11-wm/sawfish/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/x11-wm/sawfish/ChangeLog?rev=1.92&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/x11-wm/sawfish/ChangeLog?rev=1.92&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/x11-wm/sawfish/ChangeLog?r1=1.91&r2=1.92

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/x11-wm/sawfish/ChangeLog,v
retrieving revision 1.91
retrieving revision 1.92
diff -u -r1.91 -r1.92
--- ChangeLog	25 Nov 2009 20:58:35 -0000	1.91
+++ ChangeLog	24 Mar 2010 18:25:54 -0000	1.92
@@ -1,6 +1,9 @@
 # ChangeLog for x11-wm/sawfish
-# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-wm/sawfish/ChangeLog,v 1.91 2009/11/25 20:58:35 truedfx Exp $
+# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/x11-wm/sawfish/ChangeLog,v 1.92 2010/03/24 18:25:54 truedfx Exp $
+
+  24 Mar 2010; Harald van Dijk <truedfx@gentoo.org> sawfish-1.5.3.ebuild:
+  Add libXinerama to (R)DEPEND, bug #311131
 
 *sawfish-1.5.3 (25 Nov 2009)
 



1.2                  x11-wm/sawfish/sawfish-1.5.3.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/x11-wm/sawfish/sawfish-1.5.3.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/x11-wm/sawfish/sawfish-1.5.3.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/x11-wm/sawfish/sawfish-1.5.3.ebuild?r1=1.1&r2=1.2

Index: sawfish-1.5.3.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/x11-wm/sawfish/sawfish-1.5.3.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- sawfish-1.5.3.ebuild	25 Nov 2009 20:58:35 -0000	1.1
+++ sawfish-1.5.3.ebuild	24 Mar 2010 18:25:54 -0000	1.2
@@ -1,6 +1,6 @@
-# Copyright 1999-2009 Gentoo Foundation
+# Copyright 1999-2010 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/x11-wm/sawfish/sawfish-1.5.3.ebuild,v 1.1 2009/11/25 20:58:35 truedfx Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-wm/sawfish/sawfish-1.5.3.ebuild,v 1.2 2010/03/24 18:25:54 truedfx Exp $
 
 # detect cvs snapshots; fex. 1.3_p20040120
 [[ $PV == *_p[0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9] ]]
@@ -31,7 +31,8 @@
 	>=x11-libs/gtk+-2.6.0
 	audiofile? ( >=media-libs/audiofile-0.2.3 )
 	esd? ( >=media-sound/esound-0.2.23 )
-	nls? ( sys-devel/gettext )"
+	nls? ( sys-devel/gettext )
+	x11-libs/libXinerama"
 DEPEND="${RDEPEND}
 	>=dev-util/pkgconfig-0.12.0"
 






^ permalink raw reply	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2010-03-24 18:25 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2009-11-25 20:58 [gentoo-commits] gentoo-x86 commit in x11-wm/sawfish: ChangeLog sawfish-1.5.3.ebuild Harald van Dijk (truedfx)
  -- strict thread matches above, loose matches on Subject: below --
2010-03-24 18:25 Harald van Dijk (truedfx)

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox